package vc.thinker.config;

import vc.thinker.config.entity.DataReportArrayQueue;

import java.util.concurrent.ArrayBlockingQueue;

/**
 * @author : xieshaojun
 * @date : 2023/2/7 16:27
 */
public class DataReportQueueUtil {


    private volatile static ArrayBlockingQueue<DataReportArrayQueue> arrayBlockingQueue;

    private DataReportQueueUtil(){

    }

    public static ArrayBlockingQueue<DataReportArrayQueue> getArrayBlockingQueue(){
        if (arrayBlockingQueue == null){
            synchronized (DataReportQueueUtil.class){
                if(arrayBlockingQueue == null){
                    arrayBlockingQueue = new ArrayBlockingQueue<DataReportArrayQueue>(1000);
                }

            }
        }
        return arrayBlockingQueue;
    }
}
